ForceFields::MMFF::MMFFHerschbachLaurieCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFHerschbachLaurie * | operator() (const int iRow, const int jRow) const
| Looks up the parameters for a particular key and returns them. More...
| MMFFHerschbachLaurieCollection (std::string mmffHerschbachLaurie="")

## Public Attributes

std::vector< MMFFHerschbachLaurie > | d_params
| the parameter vector More...
std::vector< std::uint8_t > | d_iRow
std::vector< std::uint8_t > | d_jRow
| periodic row number vector for atom i More...

## Detailed Description

Definition at line 465 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFHerschbachLaurieCollection()

ForceFields::MMFF::MMFFHerschbachLaurieCollection::MMFFHerschbachLaurieCollection | ( | std::string | mmffHerschbachLaurie = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFHerschbachLaurie* ForceFields::MMFF::MMFFHerschbachLaurieCollection::operator() | ( | const int | iRow,
|  | const int | jRow
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFHerschbachLaurie object, NULL on failure.

Definition at line 471 of file MMFF/Params.h.

## Member Data Documentation

## d_iRow

std::vector<std::uint8_t> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_iRow

Definition at line 517 of file MMFF/Params.h.

## d_jRow

std::vector<std::uint8_t> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_jRow

periodic row number vector for atom i

Definition at line 518 of file MMFF/Params.h.

## d_params

std::vector<MMFFHerschbachLaurie> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_params

the parameter vector

Definition at line 516 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h